/*
 * custom.cxx
 *
 * PWLib application source file for opengk
 *
 * Customisable application configurationfor OEMs.
 *
 * Copyright 2001 Equivalence Pty. Ltd.
 *
 * $Log: custom.cxx,v $
 * Revision 1.13  2002/05/10 00:34:13  robertj
 * Incremented build number after tagging to v1_2_0.
 *
 * Revision 1.12  2002/05/10 00:34:06  robertj
 * Pre-tagging check in for v1_2_0.
 *
 * Revision 1.11  2002/03/21 03:54:33  robertj
 * Incremented build number after tagging to v1_1_1.
 *
 * Revision 1.10  2002/02/11 06:54:58  robertj
 * Incremented build number after tagging to v1_1_0.
 *
 * Revision 1.9  2002/02/11 06:54:51  robertj
 * Pre-tagging check in for v1_1_0.
 *
 * Revision 1.8  2001/12/22 04:34:16  robertj
 * Incremented build number after tagging to v1_0_3.
 *
 * Revision 1.7  2001/10/04 06:54:17  robertj
 * Incremented build number after tagging.
 *
 * Revision 1.6  2001/10/04 06:47:32  robertj
 * Incremented build number after tagging.
 *
 * Revision 1.5  2001/08/11 12:45:26  robertj
 * Fixed tagbuild stuff up again
 *
 * Revision 1.5  2001/08/11 11:04:41  robertj
 * Incremented build number after tagging.
 *
 * Revision 1.4  2001/08/07 07:29:00  robertj
 * Fixed automated increment stuff up
 *
 * Revision 1.3  2001/08/07 06:36:17  robertj
 * Incremented build number after tagging.
 *
 * Revision 1.2  2001/08/03 10:24:42  robertj
 * First release
 *
 * Revision 1.1  2001/08/03 04:48:57  robertj
 * First cut of a gatekeeper
 *
 */

#ifdef RC_INVOKED
#include <winver.h>
#else
#include <ptlib.h>
#include "custom.h"
#endif

#define MAJOR_VERSION 1
#define MINOR_VERSION 2

#ifndef BUILD_TYPE
#define BUILD_TYPE ReleaseCode
#endif

#ifndef BUILD_NUMBER
#define BUILD_NUMBER 1
#endif


////////////////////////////////////////////////////
//
// Variables required for PHTTPServiceProcess
//
////////////////////////////////////////////////////

#ifndef PRODUCT_NAME_TEXT
#define	PRODUCT_NAME_TEXT	"opengk"
//#define	PRODUCT_NAME_HTML "<font color=\"#008000\"><em>Product</em></font>Name"
#endif

#ifndef MANUFACTURER_TEXT
#define	MANUFACTURER_TEXT	"Equivalence Pty. Ltd."
#endif

#ifndef GIF_NAME
#define GIF_NAME  		"opengk.gif"
#define	GIF_WIDTH  380
#define GIF_HEIGHT 101
#endif

#ifndef EMAIL
#define	EMAIL NULL
#endif

#ifndef HOME_PAGE
#define	HOME_PAGE NULL
#endif

#ifndef PRODUCT_NAME_HTML
#define	PRODUCT_NAME_HTML PRODUCT_NAME_TEXT
#endif


#ifdef RC_INVOKED

#define AlphaCode alpha
#define BetaCode beta
#define ReleaseCode pl

#define MkStr2(s) #s
#define MkStr(s) MkStr2(s)

#if BUILD_NUMBER==0
#define VERSION_STRING \
    MkStr(MAJOR_VERSION) "." MkStr(MINOR_VERSION)
#else
#define VERSION_STRING \
    MkStr(MAJOR_VERSION) "." MkStr(MINOR_VERSION) MkStr(BUILD_TYPE) MkStr(BUILD_NUMBER)
#endif


VS_VERSION_INFO VERSIONINFO
#define alpha 1
#define beta 2
#define pl 3
  FILEVERSION     MAJOR_VERSION,MINOR_VERSION,BUILD_TYPE,BUILD_NUMBER
  PRODUCTVERSION  MAJOR_VERSION,MINOR_VERSION,BUILD_TYPE,BUILD_NUMBER
#undef alpha
#undef beta
#undef pl
  FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
#ifdef _DEBUG
  FILEFLAGS       VS_FF_DEBUG
#else
  FILEFLAGS       0
#endif
  FILEOS          VOS_NT_WINDOWS32
  FILETYPE        VFT_APP
  FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "0c0904b0"
        BEGIN
            VALUE "CompanyName",      MANUFACTURER_TEXT "\0"
            VALUE "FileDescription",  PRODUCT_NAME_TEXT "\0"
            VALUE "FileVersion",      VERSION_STRING "\0"
            VALUE "InternalName",     "opengk\0"
            VALUE "LegalCopyright",   "Copyright  Equivalence Pty. Ltd. 2001\0"
            VALUE "OriginalFilename", "opengk.exe\0"
            VALUE "ProductName",      PRODUCT_NAME_TEXT "\0"
            VALUE "ProductVersion",   VERSION_STRING "\0"
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0xc09, 1200
    END
END

#else

PHTTPServiceProcess::Info ProductInfo = {
    PRODUCT_NAME_TEXT,
    MANUFACTURER_TEXT,
    MAJOR_VERSION, MINOR_VERSION, PProcess::BUILD_TYPE, BUILD_NUMBER, __TIME__ __DATE__,
    
    {{ 0 }}, { NULL }, 0, {{ 0 }},  // Only relevent for commercial apps

    HOME_PAGE,
    EMAIL,
    PRODUCT_NAME_HTML,
    NULL,  // GIF HTML, use calculated from below
    GIF_NAME,
    GIF_WIDTH,
    GIF_HEIGHT
};


#endif


// End of File ///////////////////////////////////////////////////////////////
